PLplot: ps.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
ps.c File Reference
`#include "plDevs.h"`
`#include "plplotP.h"`
`#include "drivers.h"`
`#include "ps.h"`
`#include <string.h>`
`#include <time.h>`
`#include "plunicode-type1.h"`
`#include "plfci-type1.h"`

Go to the source code of this file.

## Macros
#define | DEBUG
#define | NEED_PLDEBUG
#define | TRMFLT(a) ( ( fabs( a ) < 5.0e-4 ) ? 0.0 : ( a ) )
#define | OUTBUF_LEN 128
#define | RISE_FACTOR 0.6
#define | PROC_STR_STRING_LENGTH 1000

## Functions
static char * | ps_getdate (void)
static void | ps_init (PLStream *)
static void | fill_polygon (PLStream *pls)
static void | proc_str (PLStream *, EscText *)
static void | esc_purge (unsigned char *, unsigned char *)
static void | ps_dispatch_init_helper (PLDispatchTable *pdt, const char *menustr, const char *devnam, int type, int seq, plD_init_fp init)
static unsigned char | plunicode2type1 (const PLUNICODE index, const Unicode_to_Type1_table lookup[], const int number_of_entries)
static const char * | get_font (PSDev *dev, PLUNICODE fci)
void | plD_line_ps (PLStream *pls, short x1a, short y1a, short x2a, short y2a)
void | plD_polyline_ps (PLStream *pls, short *xa, short *ya, PLINT npts)
void | plD_eop_ps (PLStream *pls)
void | plD_bop_ps (PLStream *pls)
void | plD_tidy_ps (PLStream *pls)
void | plD_state_ps (PLStream *pls, PLINT op)
void | plD_esc_ps (PLStream *pls, PLINT op, void *ptr)

## Variables
PLDLLIMPEXP_DRIVER const char * | plD_DEVICE_INFO_ps =
static char | outbuf [OUTBUF_LEN]
static int | text = 1
static int | color
static int | hrshsym = 1
static DrvOpt | ps_options []

## Macro Definition Documentation

## ◆ DEBUG

#define DEBUG

Definition at line 31 of file ps.c.

## ◆ NEED_PLDEBUG

#define NEED_PLDEBUG

Definition at line 33 of file ps.c.

## ◆ OUTBUF_LEN

#define OUTBUF_LEN 128

Definition at line 75 of file ps.c.

## ◆ PROC_STR_STRING_LENGTH

#define PROC_STR_STRING_LENGTH 1000

## ◆ RISE_FACTOR

#define RISE_FACTOR 0.6

Definition at line 760 of file ps.c.

## ◆ TRMFLT

#define TRMFLT | ( |  | a | ) | ( ( fabs( a ) < 5.0e-4 ) ? 0.0 : ( a ) )

Definition at line 45 of file ps.c.

## Function Documentation

## ◆ esc_purge()

static void esc_purge | ( | unsigned char * | dstr,
|  | unsigned char * | sstr
| ) |  |
| static

Definition at line 1123 of file ps.c.

## ◆ fill_polygon()

static void fill_polygon | ( | PLStream * | pls | ) |
| static

Definition at line 677 of file ps.c.

## ◆ get_font()

static const char * get_font | ( | PSDev * | dev,
|  | PLUNICODE | fci
| ) |  |
| static

Definition at line 1208 of file ps.c.

## ◆ plD_bop_ps()

void plD_bop_ps | ( | PLStream * | pls | ) |

Definition at line 507 of file ps.c.

## ◆ plD_eop_ps()

void plD_eop_ps | ( | PLStream * | pls | ) |

Definition at line 494 of file ps.c.

## ◆ plD_esc_ps()

void plD_esc_ps | ( | PLStream * | pls,
|  | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 656 of file ps.c.

## ◆ plD_line_ps()

void plD_line_ps | ( | PLStream * | pls,
|  | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |

Definition at line 421 of file ps.c.

## ◆ plD_polyline_ps()

void plD_polyline_ps | ( | PLStream * | pls,
|  | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |

Definition at line 479 of file ps.c.

## ◆ plD_state_ps()

void plD_state_ps | ( | PLStream * | pls,
|  | PLINT | op
| ) |  |

Definition at line 601 of file ps.c.

## ◆ plD_tidy_ps()

void plD_tidy_ps | ( | PLStream * | pls | ) |

Definition at line 555 of file ps.c.

## ◆ plunicode2type1()

static unsigned char plunicode2type1 | ( | const PLUNICODE | index,
|  | const Unicode_to_Type1_table | lookup[],
|  | const int | number_of_entries
| ) |  |
| static

Definition at line 1172 of file ps.c.

## ◆ proc_str()

void proc_str | ( | PLStream * | pls,
|  | EscText * | args
| ) |  |
| static

Definition at line 771 of file ps.c.

## ◆ ps_dispatch_init_helper()

static void ps_dispatch_init_helper | ( | PLDispatchTable * | pdt,
|  | const char * | menustr,
|  | const char * | devnam,
|  | int | type,
|  | int | seq,
|  | plD_init_fp | init
| ) |  |
| static

Definition at line 99 of file ps.c.

## ◆ ps_getdate()

static char * ps_getdate | ( | void |  | ) |
| static

Definition at line 740 of file ps.c.

## ◆ ps_init()

static void ps_init | ( | PLStream * | pls | ) |
| static

Definition at line 173 of file ps.c.

## Variable Documentation

## ◆ color

int color
| static

Definition at line 78 of file ps.c.

## ◆ hrshsym

int hrshsym = 1
| static

Definition at line 79 of file ps.c.

## ◆ outbuf

char outbuf[OUTBUF_LEN]
| static

Definition at line 76 of file ps.c.

## ◆ plD_DEVICE_INFO_ps

PLDLLIMPEXP_DRIVER const char* plD_DEVICE_INFO_ps =

Definition at line 49 of file ps.c.

## ◆ ps_options

DrvOpt ps_options[]
| static

Initial value:
= { { "text", DRV_INT, &text, "Use Postscript text (text=0|1)" },
{ "color", DRV_INT, &color, "Use color (color=0|1)" },
{ "hrshsym", DRV_INT, &hrshsym, "Use Hershey symbol set (hrshsym=0|1)" },
{ NULL, DRV_INT, NULL, NULL } }
color
static int color
Definition: ps.c:78
text
static int text
Definition: ps.c:77
DRV_INT
Definition: plplotP.h:758
hrshsym
static int hrshsym
Definition: ps.c:79

Definition at line 81 of file ps.c.

## ◆ text

int text = 1
| static

Definition at line 77 of file ps.c.